Cygnal

Cygnal Gemini Stream Generate Content

Create Gemini-compatible streaming responses with Cygnal protection.

Docs: Guide | API Reference

POST
/cygnal/v1beta/models/{model}:streamGenerateContent

Path Parameters

model*string

Response Body

application/json

application/json

application/json

application/json

curl -X POST "https://api.grayswan.ai/cygnal/v1beta/models/string:streamGenerateContent"
{
  "candidates": [
    {
      "content": {
        "parts": [
          {
            "text": "string"
          }
        ],
        "role": "string"
      },
      "finishReason": "string"
    }
  ]
}
{
  "error": true,
  "message": "string",
  "detail": "string",
  "error_code": "string",
  "details": {
    "property1": "string",
    "property2": "string"
  }
}
{
  "error": true,
  "message": "string",
  "detail": "string",
  "error_code": "string",
  "details": {
    "property1": "string",
    "property2": "string"
  }
}
{
  "error": true,
  "message": "string",
  "detail": "string",
  "error_code": "string",
  "details": {
    "property1": "string",
    "property2": "string"
  }
}
{
  "error": true,
  "message": "string",
  "detail": "string",
  "error_code": "string",
  "details": {
    "property1": "string",
    "property2": "string"
  }
}